Автор Тема: Лечим сломанные пакеты в Lenny  (Прочитано 5645 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Gennie

  • Global Moderator
  • *****
  • Сообщений: 378
  • Karma: +10/-0
Лечим сломанные пакеты в Lenny
« : 29 Августа 2010, 03:55 »
Всем привет.
aptitude update всё нормально. Дальше начинается
debian:~# aptitude upgrade
W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово
Чтение описаний задач... Готово
открыто: 85; закрыто: 174; отброшено: 414; конфликтует: 2                                O^C
Ну и так до упора, это только начало. Потом их становится не два, а 28, потом ещё больше...
Был установлен локально (не то чтобы установлен даже -- распакован просто и запущен исполняемый файл) realplay. Возможно, он повредил зависимости, потому что до этого aptitude upgrade сразу же выдавала, что сломан realplay, и дальше не продолжала работу. Я его удалил, теперь такая вот фигня, не могу обновить всю систему. По отдельности разные пакеты ставятся и удаляются, не проблема. Но хочется, чтобы вся система тоже обновлялась.
Кто подскажет, как восстановить нормальные зависимости?
Мир явно движется куда-то не туда и Microsoft возглавляет это движение! (L) 2006
Microsoft is not the answer... Microsoft is a question and the answer is NO!
Thou shalt call Unix-minded tru freeware a Holyware!

rain

  • Global Moderator
  • *****
  • Сообщений: 663
  • Karma: +10/-0
Re: Лечим сломанные пакеты в Lenny
« Ответ #1 : 31 Августа 2010, 08:48 »
А можно там же полный вывод apt-get dist-upgrade (или apt-get upgrade)?
Registered Linux User # 377068
Аз есмь линуксоид <img src=\"{SMILIES_PATH}/wink.gif\" alt=\";)\" title=\"Wink\" />
Присоединяемся к акции массового перехода на Jabber -
самую современную сеть обмена мгновенными сообщениями!

Меня

Gennie

  • Global Moderator
  • *****
  • Сообщений: 378
  • Karma: +10/-0
Re: Лечим сломанные пакеты в Lenny
« Ответ #2 : 02 Сентября 2010, 12:55 »
Короче, я не понял, что случилось после этого последнего обновления, но окно входа в систему перестало дружить с клавой: например, буква h работала как BKSP, произвольно от нажатия клавиш загорался индикатор Scroll lock, хотя он забинден на включение русского языка по Ctrl+Shift в xorg.conf, и самое убийственное, что буквы появлялись только если нажимать ДВА раза на кнопку, если только один раз, ничего не происходило.
Такая фигня была чисто в дебиане, причём страшно, что в стабильном lenny. У меня ещё там же неснесённые почему-то древние окна оказались и мандарива 2008 -- в них всё нормально, т.е., аппаратных проблем не было.
Консольный вход работал нормально. Подумал, а не обновицца ли мне до тестинга... и обновил dist-upgrade'ом.

Сижу вот сейчас, с грустью втыкаю в KDE4 и думаю, что бы сделать тем маркетологам, которые ЭТО изобрели.  :evil:
Сколько видел и пробовал четвёрку -- ни разу не нравилась, вот ведь забыл, что в тестинге только её оставили, а 3.5 выкинули. Тут вот парня одного камнями закидали, что он такой простой даунгрейд изобрёл, ну и думаю, стоит или не стоит пробовать так же откатиться обратно в stable.
Мир явно движется куда-то не туда и Microsoft возглавляет это движение! (L) 2006
Microsoft is not the answer... Microsoft is a question and the answer is NO!
Thou shalt call Unix-minded tru freeware a Holyware!

rain

  • Global Moderator
  • *****
  • Сообщений: 663
  • Karma: +10/-0
Re: Лечим сломанные пакеты в Lenny
« Ответ #3 : 02 Сентября 2010, 12:57 »
Используй Gnome / XFCE / что-то еще.
Registered Linux User # 377068
Аз есмь линуксоид <img src=\"{SMILIES_PATH}/wink.gif\" alt=\";)\" title=\"Wink\" />
Присоединяемся к акции массового перехода на Jabber -
самую современную сеть обмена мгновенными сообщениями!

Меня

rain

  • Global Moderator
  • *****
  • Сообщений: 663
  • Karma: +10/-0
Re: Лечим сломанные пакеты в Lenny
« Ответ #4 : 02 Сентября 2010, 12:59 »
Сходил по ссылке - думал, там что-то страшное, а то прям "закидали"... Нет, вполне себе обычный топик и посты )
Registered Linux User # 377068
Аз есмь линуксоид <img src=\"{SMILIES_PATH}/wink.gif\" alt=\";)\" title=\"Wink\" />
Присоединяемся к акции массового перехода на Jabber -
самую современную сеть обмена мгновенными сообщениями!

Меня

domenz

  • *
  • Сообщений: 10
  • Karma: +0/-0
Re: Лечим сломанные пакеты в Lenny
« Ответ #5 : 18 Мая 2011, 07:35 »
apt-get -f install
http://http://debian.pageinpage.com блог о дебиане (os debian)